ci:
  autoupdate_commit_msg: "chore: update pre-commit hooks"
  autofix_commit_msg: "style: pre-commit fixes"

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: "v4.6.0"
    hooks:
      - id: check-added-large-files
      - id: check-case-conflict
      - id: check-merge-conflict
      - id: check-symlinks
      - id: check-yaml
      - id: debug-statements
      - id: end-of-file-fixer
      - id: mixed-line-ending
      - id: name-tests-test
        args: ["--pytest-test-first"]
        exclude: "^tests/roots"
      - id: requirements-txt-fixer
      - id: trailing-whitespace

  - repo: https://github.com/astral-sh/ruff-pre-commit
    rev: v0.4.4
    hooks:
      - id: ruff
        args: ["--fix", "--show-fixes"]
        exclude: "$sphinxcontrib/moderncmakedomain/(cmake|colors).py$"
      - id: ruff-format
        exclude: "$sphinxcontrib/moderncmakedomain/(cmake|colors).py$"

  - repo: https://github.com/henryiii/validate-pyproject-schema-store
    rev: 2024.05.13
    hooks:
      - id: validate-pyproject

  - repo: https://github.com/python-jsonschema/check-jsonschema
    rev: 0.28.4
    hooks:
      - id: check-dependabot
      - id: check-github-workflows
      - id: check-readthedocs
